%define upstream_name    File-ShareDir-Install
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Install shared files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.110.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Dir)
BuildArch:  noarch

%{?perl_default_filter}

%description
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to the File::ShareDir manpage, which
allows you to locate these files after installation.

It is a port the Module::Install::Share manpage to the ExtUtils::MakeMaker
manpage with the improvement of only installing the files you want; '.svn'
and other source-control junk will be ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1027557
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 966620
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 846218
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 790477
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 743916
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-3.mga5
+ Revision: 732142
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684763
- Mageia 5 Mass Rebuild

* Tue Jul 08 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 650652
- update to 0.09

* Mon Feb 10 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 588404
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 534054
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 476089
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.04

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 24063
- cleaning spec file
- imported package perl-File-ShareDir-Install

